Create patient

This endpoint creates a new patient or returns an existing patient if return_existing_if_match is true. Phone numbers are written to typed fields in the integrated system, but many systems report the main number back as an untyped primary number — see the cell_phone_number and preferred_phone_number response fields for how that is surfaced.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
🚧

Patient insertion

Patients only get inserted into health record systems when they book their first appointment. Until then, they're just stored in NexHealth's database and their foreign_id_type is set to 'nex'.

Query Params
string
required

Used to scope the request to the specified institution

int32
required

Used to scope the request to the specified location

Body Params

Create patient

provider
object
required
patient
object
required
boolean
Defaults to false

If true, return existing patient with matching information (200 OK) instead of raising an error. If false, raise an error when a patient with matching information already exists (400 Bad Request). Matching is based on date of birth and name.

Headers
string
required
Defaults to v3.1.0

The NexHealth API version

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json